%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pyinstaller-hooks-contrib
Version:       2024.5
Release:       1mamba
Summary:       Community maintained hooks for PyInstaller
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pyinstaller/pyinstaller-hooks-contrib
Source:        http://pypi.debian.net/pyinstaller-hooks-contrib/pyinstaller_hooks_contrib-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(packaging)
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pyinstaller_hooks_contrib-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/_%{pkgname}
%{python_sitelib}/_%{pkgname}/*
%doc LICENSE

%changelog
* Thu May 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2024.5-1mamba
- update to 2024.5

* Sun Mar 10 2024 Automatic Build System <autodist@openmamba.org> 2024.3-1mamba
- automatic version update by autodist

* Fri Mar 01 2024 Automatic Build System <autodist@openmamba.org> 2024.2-1mamba
- automatic version update by autodist

* Sun Feb 11 2024 Automatic Build System <autodist@openmamba.org> 2024.1-1mamba
- automatic version update by autodist

* Fri Jan 19 2024 Automatic Build System <autodist@openmamba.org> 2024.0-1mamba
- automatic version update by autodist

* Thu Jan 04 2024 Automatic Build System <autodist@mambasoft.it> 2023.12-1mamba
- automatic version update by autodist

* Wed Dec 27 2023 Automatic Build System <autodist@mambasoft.it> 2023.11-1mamba
- automatic version update by autodist

* Wed Nov 15 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2023.10-1mamba
- package created using the webbuild interface
